# iostream File Reference

## Detailed Description

This is a Standard C++ Library header.

Definition in file iostream.

Go to the source code of this file.

## Namespaces

- namespace std

## Standard Stream Objects

The <iostream> header declares the eight standard stream objects. For other declarations, see http://gcc.gnu.org/onlinedocs/libstdc++/27_io/howto.html#10 and the I/O forward declarations

They are required by default to cooperate with the global C library's `FILE` streams, and to be available during program startup and termination. For more information, see the HOWTO linked to above.

- ostream cerr
- istream cin
- ostream clog
- ostream cout
- wostream wcerr
- wistream wcin
- wostream wclog
- wostream wcout

## Defines

- #define _GLIBCXX_IOSTREAM

## Variables

- static ios_base::Init __ioinit

## Variable Documentation

ostream cerr

| Linked to standard error (unbuffered).

istream cin

| Linked to standard input.

ostream clog

| Linked to standard error (buffered).

ostream cout

| Linked to standard output.

wostream wcerr

| Linked to standard error (unbuffered).

wistream wcin

| Linked to standard input.

wostream wclog

| Linked to standard error (buffered).

wostream wcout

| Linked to standard output.